> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference.md).

# API Reference

- [Affiliate](https://developers.make.com/api-documentation/api-reference/affiliate.md)
- [On Prem Agents](https://developers.make.com/api-documentation/api-reference/on-prem-agents.md)
- [AI Agents](https://developers.make.com/api-documentation/api-reference/ai-agents.md)
- [Context](https://developers.make.com/api-documentation/api-reference/ai-agents/context.md)
- [LLM Providers](https://developers.make.com/api-documentation/api-reference/ai-agents/llm-providers.md)
- [Analytics](https://developers.make.com/api-documentation/api-reference/analytics.md)
- [Audit Logs](https://developers.make.com/api-documentation/api-reference/audit-logs.md)
- [Cashier](https://developers.make.com/api-documentation/api-reference/cashier.md)
- [Connections](https://developers.make.com/api-documentation/api-reference/connections.md)
- [Credential Requests](https://developers.make.com/api-documentation/api-reference/credential-requests.md)
- [Custom Properties](https://developers.make.com/api-documentation/api-reference/custom-properties.md)
- [Structure items](https://developers.make.com/api-documentation/api-reference/custom-properties/structure-items.md)
- [Data Stores](https://developers.make.com/api-documentation/api-reference/data-stores.md)
- [Data](https://developers.make.com/api-documentation/api-reference/data-stores/data.md)
- [Data Structures](https://developers.make.com/api-documentation/api-reference/data-structures.md)
- [Devices](https://developers.make.com/api-documentation/api-reference/devices.md)
- [Incomings](https://developers.make.com/api-documentation/api-reference/devices/incomings.md)
- [Outgoings](https://developers.make.com/api-documentation/api-reference/devices/outgoings.md)
- [Incomplete Executions](https://developers.make.com/api-documentation/api-reference/incomplete-executions.md)
- [Enums](https://developers.make.com/api-documentation/api-reference/enums.md)
- [Custom Functions](https://developers.make.com/api-documentation/api-reference/custom-functions.md)
- [General](https://developers.make.com/api-documentation/api-reference/general.md)
- [Hooks](https://developers.make.com/api-documentation/api-reference/hooks.md)
- [Incomings](https://developers.make.com/api-documentation/api-reference/hooks/incomings.md)
- [Logs](https://developers.make.com/api-documentation/api-reference/hooks/logs.md)
- [Keys](https://developers.make.com/api-documentation/api-reference/keys.md)
- [Notifications](https://developers.make.com/api-documentation/api-reference/notifications.md)
- [Organizations](https://developers.make.com/api-documentation/api-reference/organizations.md)
- [User organization roles](https://developers.make.com/api-documentation/api-reference/organizations/user-organization-roles.md)
- [MMS](https://developers.make.com/api-documentation/api-reference/mms.md)
- [Remote Procedures](https://developers.make.com/api-documentation/api-reference/remote-procedures.md)
- [Scenarios](https://developers.make.com/api-documentation/api-reference/scenarios.md)
- [Logs](https://developers.make.com/api-documentation/api-reference/scenarios/logs.md)
- [Blueprints](https://developers.make.com/api-documentation/api-reference/scenarios/blueprints.md)
- [Consumptions](https://developers.make.com/api-documentation/api-reference/scenarios/consumptions.md)
- [Tools](https://developers.make.com/api-documentation/api-reference/scenarios/tools.md)
- [Custom properties data](https://developers.make.com/api-documentation/api-reference/scenarios/custom-properties-data.md)
- [Scenarios Folders](https://developers.make.com/api-documentation/api-reference/scenarios-folders.md)
- [SDK Apps](https://developers.make.com/api-documentation/api-reference/sdk-apps.md)
- [Invites](https://developers.make.com/api-documentation/api-reference/sdk-apps/invites.md)
- [Modules](https://developers.make.com/api-documentation/api-reference/sdk-apps/modules.md)
- [RPCs](https://developers.make.com/api-documentation/api-reference/sdk-apps/rpcs.md)
- [Functions](https://developers.make.com/api-documentation/api-reference/sdk-apps/functions.md)
- [Connections](https://developers.make.com/api-documentation/api-reference/sdk-apps/connections.md)
- [Webhooks](https://developers.make.com/api-documentation/api-reference/sdk-apps/webhooks.md)
- [SSO Certificates](https://developers.make.com/api-documentation/api-reference/sso-certificates.md)
- [Teams](https://developers.make.com/api-documentation/api-reference/teams.md)
- [User team roles](https://developers.make.com/api-documentation/api-reference/teams/user-team-roles.md)
- [Templates](https://developers.make.com/api-documentation/api-reference/templates.md)
- [Public](https://developers.make.com/api-documentation/api-reference/templates/public.md)
- [Users](https://developers.make.com/api-documentation/api-reference/users.md)
- [Me](https://developers.make.com/api-documentation/api-reference/users/me.md)
- [API Tokens](https://developers.make.com/api-documentation/api-reference/users/api-tokens.md)
- [User team roles](https://developers.make.com/api-documentation/api-reference/users/user-team-roles.md)
- [User team notifications](https://developers.make.com/api-documentation/api-reference/users/user-team-notifications.md)
- [User organization roles](https://developers.make.com/api-documentation/api-reference/users/user-organization-roles.md)
- [Roles](https://developers.make.com/api-documentation/api-reference/users/roles.md)
- [Unread notifications](https://developers.make.com/api-documentation/api-reference/users/unread-notifications.md)
- [User email preferences - Mailhub](https://developers.make.com/api-documentation/api-reference/users/user-email-preferences-mailhub.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
